# Container CLI 
The Container CLI for Nestri provides parameters to configure and manage your container environment. Use these options to set values like `relay-url`, `video resolution`, and `frame rate`. Additionally, activate `verbose` mode and logging to assist in debugging and error tracking. This documentation details each parameter to help you optimize your container setup effectively


| **Parameter**                      | **Type**   | **Default**           | **Description**                                                                                      |
| ---------------------------- | ---------- | --------------------- | ---------------------------------------------------------------------------------------------------- |
| `-v, --verbose`              | `string`   | false                 | Shows more logs, for issues we recommend turning it on before running nestri-server and sending the logs for debugging (i.e. `nestri-server --verbose=true > logs.txt`)                                                                                      |
| `-d, --debug-feed`           | `string` | false |   Adds a timer overlay at bottom-right in the video stream, along with spawning an X11 window on host for doing comparisons against   |
| `-u, --relay-url`            | `string` | https://relay.fst.so  |  [MoQ relay](/nestri-relay/what-is-nestri-node) endpoint URL (must begin with `https://` as MoQ __can't work with unsafe connections__)                                                                             |
| `-p, --relay-path`           | `string` | default generated on start if not set | namespace/path for the stream, identifies the stream (basically stream name), must be unique                                                                                  |
| **Video**                    |            |                       |                                                                                                      |
| `-r, --resolution `          | `string`   | 1280x720              | Sets nestri virtual display + stream resolution using `WIDTHxHEIGHT` format                            |
| `-f, --framerate`            | `integer`  | 60                   | Framerate for nestri virtual display + stream                                                        |
| `-g, --gpu-vendor`           | `string`   |                       | allows selecting specific GPU by vendor name (`nvidia`, `amd` or `intel`)                                  |
| `-i, --gpu-index`            | `string`   |                       | allows selecting a GPU by it's general name, doesn't have to be full name as it's matched partially (i.e. `3060` would get you `RTX 3060` GPU, but it would also let `RTX 3060 Ti` pass)           |
| `-a, --gpu-card-path`        | `string`   |                     | allows specifying GPU by `/dev/dri/cardX` or `/dev/dri/renderX` path, this won't work with the other 3 gpu parameters as it's explicitly setting the GPU     |
| **Encoder**                  |            |                       |                                                                                                      |
| `-c, --encoder-vcodec`       | `string`   | h264                  | Sets the stream video codec (`h264` or `av1`)                                                                |
| `-t, --encoder-type`         | `string`   | hardware              | Sets whether to use GPU encoder (`hardware`), or CPU encoder (`software`, only should be used with debugging or if GPU has no encoding capabilities) |
| `-e, --encoder-name`         | `string`   |                       | forces a specific encoder by GStreamer element name (i.e. `vah264enc`)                                 |
| `-q, --encoder-cqp`          | `string`   |      25               | sets the stream quality level, lower means higher quality and much more bitrate used                    |

